<div align="center">
  <p>
    <a align="center" href="" target="_blank">
      <img
        width="850"
        src="https://media.roboflow.com/open-source/autodistill/autodistill-banner.png"
      >
    </a>
  </p>
</div>

# Autodistill YOLO-NAS Module

This repository contains the code supporting the YOLO-NAS target model for use with [Autodistill](https://github.com/autodistill/autodistill).

[YOLO-NAS](https://github.com/Deci-AI/super-gradients/blob/master/YOLONAS.md) is an object detection model developed by [Deci AI](https://deci.ai/).

You can use `autodistill` to train a YOLO-NAS object detection model on a dataset of labelled images generated by the base models that `autodistill` supports.

Read the full [Autodistill documentation](https://autodistill.github.io/autodistill/).

Read the [YOLO-NAS Autodistill documentation](https://autodistill.github.io/autodistill/target_models/yolonas/).

## Installation

To use the YOLOv5 target model, you will need to install the following dependency:

```bash
pip3 install autodistill-yolo-nas
```

## Quickstart

```python
from autodistill_yolo_nas import YOLONAS

target_model = YOLONAS("YOLOv5n.pt")

# train a model
# specify the directory where your annotations (in YOLO format) are stored
target_model.train("./context_images_labeled", epochs=20)

# run inference on the new model
pred = target_model.predict("./context_images_labeled/train/images/dog-7.jpg", confidence=0.01)
```

## License

The YOLO-NAS model is licensed under the [YOLO-NAS License](https://github.com/Deci-AI/super-gradients/blob/master/LICENSE.YOLONAS.md).

## 🏆 Contributing

We love your input! Please see the core Autodistill [contributing guide](https://github.com/autodistill/autodistill/blob/main/CONTRIBUTING.md) to get started. Thank you 🙏 to all our contributors!